## com.sun.jna.platform.win32
Class WinReg.HKEY

    java.lang.Object
      com.sun.jna.PointerType
          com.sun.jna.platform.win32.W32API.HANDLE
              com.sun.jna.platform.win32.WinReg.HKEY

All Implemented Interfaces:
  com.sun.jna.NativeMapped

Enclosing class:
  WinReg

    public static class WinReg.HKEY

extends W32API.HANDLE

Constructor Summary
`WinReg.HKEY()`
`WinReg.HKEY(int value)`
`WinReg.HKEY(com.sun.jna.Pointer p)`

Method Summary

Methods inherited from class com.sun.jna.platform.win32.W32API.HANDLE
`fromNative, setPointer`

Methods inherited from class com.sun.jna.PointerType
`equals, getPointer, hashCode, nativeType, toNative, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WinReg.HKEY

    public WinReg.HKEY()

### WinReg.HKEY

    public WinReg.HKEY(com.sun.jna.Pointer p)

### WinReg.HKEY

    public WinReg.HKEY(int value)